<!-- content/edit-publish-content-details.html -->
{% autoescape false %}
<article class="fr-col-4" id="content{{ content.id }}">
    <div class="fr-card fr-card--sm gn-card">
        <div class="fr-card__body">
            <div class="fr-card__content">
                <h4 class="fr-card__title">{{ content.title }}</h4>
                <div class="fr-card__desc">{{ content.text|truncate_html(TRUNCATE_DEFAULT_LENGTH) }}</div>
                <p class="fr-card__detail">{{ content.creationDate|date('d/m/Y', 'Europe/Paris') }}</p>
                <div class="fr-grid-row">
                    <div class="fr-col">
                        <div class="gn-channels">
                            {% set channelsState = [] %}
                            {% set selectedChannels = [] %}
                            {% set communications = content.communications %}
                            {% for communication in communications %}
                                {% if communication.channel == 'EMAIL' %}
                                    {% set channelsState = channelsState|merge({'email' : 'gn-channels--active'}) %}
                                {% elseif communication.channel == 'SMS' %}
                                    {% set channelsState = channelsState|merge({'sms' : 'gn-channels--active'}) %}
                                {% elseif communication.channel == 'WEBSITE' %}
                                    {% set channelsState = channelsState|merge({'website' : 'gn-channels--active'}) %}
                                {% elseif communication.channel == 'CHANNEL' %}
                                    {% set selectedChannels = selectedChannels|merge([communication.organisationChannel.id]) %}
                                {% endif %}
                            {% endfor %}

                            <span class="fr-icon-mail-line fr-icon--md {{ channelsState['email'] }} "
                                aria-hidden="true" title="{{ constant('Multicanal\\Entity\\Enum\\ChannelType::EMAIL') }}"></span>
                            <span class="fr-icon-message-2-line fr-icon--md {{ channelsState['sms'] }} "
                                aria-hidden="true" title="{{ constant('Multicanal\\Entity\\Enum\\ChannelType::SMS') }}"></span>
                            <span class="fr-icon-window-fill fr-icon--md {{ channelsState['website'] }} "
                                aria-hidden="true" title="{{ constant('Multicanal\\Entity\\Enum\\ChannelType::WEBSITE') }}"></span>

                            {% for channel in organization.activeChannels %}
                                <span class="fr-icon-{{ channel|channelIcon }} {{ channel.id in selectedChannels ? 'gn-channels--active' : '' }}"
                                    aria-hidden="true" title="{{ channel.channelName }}"></span>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="fr-col">
                        <div class="gn-priority">
                            {% for i in 1..4 %}
                                {% if i <= content.priority %}
                                    <span class="fr-icon-star-fill fr-icon--md" aria-hidden="true"></span>
                                {% else %}
                                    <span class="fr-icon-star-line fr-icon--md" aria-hidden="true"></span>
                                {% endif %}
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>

            <div class="fr-card__footer">
                {% if content.status != 'ARCHIVED' and content.status != 'DELETED' and content.status != 'PUBLISHED' %}
                <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--inline-lg fr-btns-group--icon-left gn-btns-group--spaced">
                    {% if content.status != 'PUBLISHING' %}
                        <li>
                            <a href="/contenus/modifier/{{ content.id }}" class="fr-btn fr-btn--secondary fr-icon-edit-fill" title="Modifier le contenu" data-content-id="{{ content.id }}">
                                Modifier
                            </a>
                        </li>
                    {% endif %}
                    {% if content.communications|length > 0 and content.status == 'TO_PUBLISH' or content.status == 'PUBLISHING' %}
                        <li>
                            <a href="{{ domain }}/contenus/publier/{{ content.id }}" title="Publier le contenu"  class="fr-btn fr-icon-newspaper-fill">
                                Publier
                            </a>
                        </li>
                    {% endif %}
                </ul>
                {% endif %}
            </div>
        </div>
        <div class="fr-card__header">
            <div class="fr-card__img">
                {% if content is not null and content.illustration|length %}
                    <img class="fr-responsive-img"
                        src="{{ content.illustration.url }}"
                        alt="" />
                {% else %}
                    <img class="fr-responsive-img"
                        src="https://www.gouvernement.fr/sites/default/files/static_assets/placeholder.16x9.png"
                        alt="" />
                {% endif %}
            </div>
            <ul class="fr-badges-group">
                <li>
                    {% include 'content/content-status.html' with {'status': content.status} %}
                </li>
            </ul>
            <nav class="gn-actions">
                <button
                    class="fr-btn--sm fr-btn  fr-btn--tertiary-no-outline gn-icon-copy-file-line duplicate-content"
                    data-content-id="{{ content.id }}"
                    title="Dupliquer">Dupliquer
                </button>
                {% if content.status != 'ARCHIVED' and content.status != 'DELETED' %}
                    <button
                        class="fr-btn--sm fr-btn fr-btn--tertiary-no-outline fr-icon-user-add-line share-content"
                        data-content-id="{{ content.id }}"
                        title="Partager un contenu">Partager un contenu
                    </button>
                    <button
                        class="fr-btn--sm fr-btn  fr-btn--tertiary-no-outline fr-icon-archive-line archive-content"
                        data-content-id="{{ content.id }}"
                        title="Archiver">Archiver
                    </button>
                {% endif %}
                {% if content.status != 'DELETED' and content.status != 'PUBLISHING' %}
                    <button
                        class="fr-btn--sm fr-btn  fr-btn--tertiary-no-outline fr-fi-delete-line delete-content"
                        data-content-id="{{ content.id }}"
                        title="Supprimer">Supprimer
                    </button>
                {% endif %}
            </nav>
        </div>
    </div>
</article>
{% endautoescape %}
